GridBagFactory (Groovy 5.0.0)

Package: groovy.swing.factory

## [Groovy] Class GridBagFactory

- groovy.swing.factory.GridBagFactory

-     class GridBagFactory
      extends LayoutFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class LayoutFactory` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT, DELEGATE_PROPERTY_CONSTRAINT`
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class LayoutFactory` | `contextProps`
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GridBagFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addLayoutProperties(Object context)`
    `` | `static Object` | `extractAttribute(Map attrs, String name, Class type)` Returns: null if not found.
    `` | `static void` | `processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LayoutFactory` | `addLayoutProperties, addLayoutProperties, constraintsAttributeDelegate, getLayoutTarget, newInstance, setParent`
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### GridBagFactory()

  - ### Method Detail

    - #### void addLayoutProperties(Object context)

    - #### static Object extractAttribute(Map attrs, String name, Class type)

      Returns:
        null if not found. null as a 'not found' works because all attrs except insets are primitive types, and insets will crash if set to null

    - #### static void processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)